#include <iostream>
#define MAXL 100000
using namespace std;
int sumajednog(int pom,int m,int a[],int x[],int y[],int p[])
{
    int i,brojac=0;
    for(i=1;i<=m;i++)
    {
        if((x[i]==pom||y[i]==pom)&&p[i]==1) brojac++;
        else if((x[i]==pom||y[i]==pom)&&p[i]==0) brojac--;
    }
    return a[pom]*brojac;
}
int main()
{
    int n,m,a[MAXL],i,x[MAXL],y[MAXL],suma=0,p[MAXL],k[MAXL];
    cin>>n>>m;
    for(i=1;i<=n;i++) cin>>a[i];
    for(i=1;i<=m;i++) cin>>x[i]>>y[i];
    for(i=1;i<=m;i++)
    {
        if(a[x[i]]>0&&a[y[i]]>0) p[i]=1;
        else p[i]=0;
    }
    for(i=1;i<=n;i++)
    {
        suma+=sumajednog(i,m,a,x,y,p);
    }
    cout<<suma<<endl;
    return 0;
}